Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class BuildActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.jdt.ui.actions.BuildActionGroup

public class BuildActionGroup
extends ActionGroup

Contributes all build related actions to the context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`BuildActionGroup(IViewPart part)` Creates a new `BuildActionGroup`.

Method Summary
`void` | `dispose()`
`void` | `fillActionBars(IActionBars actionBar)`
`void` | `fillContextMenu(IMenuManager menu)`
`IAction` | `getRefreshAction()` Returns the refresh action managed by this group.

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildActionGroup

    public BuildActionGroup(IViewPart part)

  Creates a new `BuildActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

Method Detail

### getRefreshAction

    public IAction getRefreshAction()

  Returns the refresh action managed by this group.

  Returns:
    the refresh action. If this group doesn't manage a refresh action `null` is returned

### fillActionBars

    public void fillActionBars(IActionBars actionBar)

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

### dispose

    public void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.